Bug 14883 - [3.4/4.0 Regression] ICE on invalid, in cp_parser_lookup_name, at cp/parser.c:13561
Summary: [3.4/4.0 Regression] ICE on invalid, in cp_parser_lookup_name, at cp/parser.c...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: c++ (show other bugs)
Version: 3.4.0
: P2 normal
Target Milestone: 3.4.1
Assignee: Mark Mitchell
URL:
Keywords: ice-on-invalid-code
Depends on:
Blocks:
 
Reported: 2004-04-07 20:19 UTC by Serge Belyshev
Modified: 2004-10-30 21:11 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work: 3.3.4
Known to fail: 3.4.0 4.0.0
Last reconfirmed: 2004-04-07 21:39:42


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Serge Belyshev 2004-04-07 20:19:28 UTC
cat >bug.cc<<EOF
template < class T > struct DomainTraits {};
template < int Dim > class Interval;
template < class DT > class Domain {};
template <> class Interval < 1 >:public Domain < DomainTraits < Interval < 1 >
>> {};
EOF
g++ bug.cc

bug.cc:4: internal compiler error: in cp_parser_lookup_name, at cp/parser.c:13561
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
Comment 1 Andrew Pinski 2004-04-07 21:39:42 UTC
Confirmed.
Comment 2 Mark Mitchell 2004-05-22 21:55:57 UTC
Working on a fix.
Comment 4 CVS Commits 2004-05-23 17:56:43 UTC
Subject: Bug 14883

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	mmitchel@gcc.gnu.org	2004-05-23 17:56:28

Modified files:
	gcc/cp         : ChangeLog name-lookup.c parser.c 
	gcc/testsuite  : ChangeLog 
Added files:
	gcc/testsuite/g++.dg/other: ns1.C 
	gcc/testsuite/g++.dg/template: invalid1.C 

Log message:
	PR c++/14821
	* name-lookup.c (supplement_binding): Allow redefinitions of
	namespace aliases.
	
	PR c++/14883
	* parser.c (cp_parser_template_argument): Robustify.
	
	PR c++/14821
	* g++.dg/other/ns1.C: New test.
	
	PR c++/14883
	* g++.dg/template/invalid1.C: New test.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/ChangeLog.diff?cvsroot=gcc&r1=1.4053&r2=1.4054
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/name-lookup.c.diff?cvsroot=gcc&r1=1.53&r2=1.54
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/parser.c.diff?cvsroot=gcc&r1=1.193&r2=1.194
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&r1=1.3773&r2=1.3774
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/g++.dg/other/ns1.C.diff?cvsroot=gcc&r1=1.1&r2=1.2
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/g++.dg/template/invalid1.C.diff?cvsroot=gcc&r1=1.1&r2=1.2

Comment 5 Mark Mitchell 2004-05-23 17:59:20 UTC
Fixed in GCC 3.4.1.